import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:flutter_localizations/flutter_localizations.dart';
import 'navigation/app_router.dart';

void main() {
  runApp(const MyApp()); // Exécution simple
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    // Pas besoin de Provider.of ici

    return MaterialApp(
      title: 'P\'titsPas',
      theme: ThemeData.light().copyWith( // Utiliser un thème simple par défaut
        textTheme: GoogleFonts.meriendaTextTheme(
          ThemeData.light().textTheme,
        ),
        // TODO: Définir les couleurs principales si besoin
      ),
      localizationsDelegates: const [ // Configuration pour la localisation
        GlobalMaterialLocalizations.delegate,
        GlobalWidgetsLocalizations.delegate,
        GlobalCupertinoLocalizations.delegate,
      ],
      supportedLocales: const [ // Langues supportées
        Locale('fr', 'FR'), // Français
        // Locale('en', 'US'), // Anglais, si besoin
      ],
      locale: const Locale('fr', 'FR'), // Forcer la locale française par défaut
      initialRoute: AppRouter.login,
      onGenerateRoute: AppRouter.generateRoute,
      debugShowCheckedModeBanner: false,
    );
  }
} 